Skip to main content
POST
Connect a mailbox

Authorizations

X-API-Key
string
header
required

API key

Body

application/json
kind
enum<string>
required
Available options:
forwarding,
gmail,
imap,
m365
auth
enum<string> | null

gmail only: delegation (the funder's Workspace authorized our service account) or oauth (a mailbox of the platform's own Workspace)

Available options:
delegation,
oauth
address
string | null

gmail, imap, m365: the mailbox's address

Maximum string length: 320
imap
ImapAccess · object | null

imap only: the server and login

organization
string | null

m365 only: the funder's Microsoft tenant id or domain

Maximum string length: 200
label
string
default:INBOX

gmail only: only messages with this label (INBOX, or one a filter applies)

Required string length: 1 - 200
settings
MailboxSettings · object

Response

Successful Response

mailbox
MailboxOut · object
required
inbound_secret
string | null

forwarding: the secret a mail provider signs POST /v1/intake/email with (X-Mailbox-ID); shown only now

authorize_url
string | null

gmail oauth: open it to grant read access